Revoke compliance exception
curl --request POST \
--url https://api.sortx.co.uk/compliance/exceptions/{id}/revoke \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/compliance/exceptions/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/compliance/exceptions/{id}/revoke"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"propertyId": "<string>",
"facts": {
"gasAppliances": "unknown",
"combustionAppliance": "unknown",
"licensing": "unknown",
"landlordAppliances": "unknown"
},
"revision": 0,
"policyVersion": "<string>",
"updatedAt": "<string>",
"updatedByUserId": "<string>",
"exceptions": [
{
"id": "<string>",
"propertyId": "<string>",
"kind": "gas_safety",
"type": "eicr_excluded_tenancy",
"reason": "<string>",
"evidenceDocumentId": "<string>",
"expiresOn": "<string>",
"renewsExceptionId": "<string>",
"approvedByUserId": "<string>",
"approvedAt": "<string>",
"policyVersion": "<string>",
"revokedAt": "<string>",
"revokedByUserId": "<string>",
"revocationReason": "<string>"
}
],
"ownFacts": {
"gasAppliances": "unknown",
"combustionAppliance": "unknown",
"licensing": "unknown",
"landlordAppliances": "unknown"
},
"factSources": {
"gasAppliances": "own",
"combustionAppliance": "own",
"licensing": "own",
"landlordAppliances": "own"
},
"context": {
"propertyType": "<string>",
"heating": [
"<string>"
],
"currentTenancyStartOn": "<string>"
},
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"exceptionId": "<string>",
"actorUserId": "<string>",
"policyVersion": "<string>",
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}compliance
Revoke compliance exception
Revoke an approved compliance exception (owner or admin)
POST
/
compliance
/
exceptions
/
{id}
/
revoke
Revoke compliance exception
curl --request POST \
--url https://api.sortx.co.uk/compliance/exceptions/{id}/revoke \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/compliance/exceptions/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/compliance/exceptions/{id}/revoke"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"propertyId": "<string>",
"facts": {
"gasAppliances": "unknown",
"combustionAppliance": "unknown",
"licensing": "unknown",
"landlordAppliances": "unknown"
},
"revision": 0,
"policyVersion": "<string>",
"updatedAt": "<string>",
"updatedByUserId": "<string>",
"exceptions": [
{
"id": "<string>",
"propertyId": "<string>",
"kind": "gas_safety",
"type": "eicr_excluded_tenancy",
"reason": "<string>",
"evidenceDocumentId": "<string>",
"expiresOn": "<string>",
"renewsExceptionId": "<string>",
"approvedByUserId": "<string>",
"approvedAt": "<string>",
"policyVersion": "<string>",
"revokedAt": "<string>",
"revokedByUserId": "<string>",
"revocationReason": "<string>"
}
],
"ownFacts": {
"gasAppliances": "unknown",
"combustionAppliance": "unknown",
"licensing": "unknown",
"landlordAppliances": "unknown"
},
"factSources": {
"gasAppliances": "own",
"combustionAppliance": "own",
"licensing": "own",
"landlordAppliances": "own"
},
"context": {
"propertyType": "<string>",
"heating": [
"<string>"
],
"currentTenancyStartOn": "<string>"
},
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"exceptionId": "<string>",
"actorUserId": "<string>",
"policyVersion": "<string>",
"createdAt": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes